# vim: set sw=4 ts=4 et nu:

Name:               freeseer
Version:            2.0.0
Release:            1.2
Summary:            Video Capture Utility
# https://download.github.com/fosslc-freeseer-%{version}-0-g591a9ca.tar.gz
Source:             fosslc-freeseer-%{version}-0-g591a9ca.tar.bz2
Source1:            freeseer.desktop
Source99:           freeseer-rpmlintrc
URL:                https://github.com/fosslc/freeseer/wiki/
Group:              Productivity/Publishing/Presentation
License:            GNU General Public License version 3 (GPL v3)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      python python-devel
BuildRequires:      python-qt4 python-qt4-devel
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files
BuildRequires:      perl
Requires:           python-qt4
Requires:           python-feedparser
%if 0%{?suse_version} < 1140
Requires:           python-gobject2
%else
Requires:           python-gobject
%endif
Requires:           python-gstreamer-0_10
Requires:           python-sip-devel
# not actually needed but to make the build fail if it's not
# available in the repository (yes, we want that):
BuildRequires:      python-feedparser
%if 0%{?suse_version} < 1140
BuildRequires:      python-gobject2
%else
BuildRequires:      python-gobject
%endif
BuildRequires:      python-gstreamer-0_10
BuildRequires:      python-sip-devel
%if 0%{?suse_version} >= 1120
BuildArch:          noarch
%endif
%{py_requires}

%description
Freeseer a video capture utility capable of capturing presentations or demos.
It can capture USB, firewire, local desktop, and more. It captures video and
audio and mixes them together to produce a video, thus enabling you to capture
great presentations, demos, or training material easily.

%prep
%setup -q -n "fosslc-freeseer-075f46c"

%__chmod 0644 *.txt

find src/freeseer/ -type f -name '*.py' | while read f; do
    %__perl -n -i -e 'print unless $.==1 && m/^#!/' "$f"
done

%build
pushd src
%__python ./setup.py build
popd

%install
F="$PWD/files.lst"
pushd src
%__python ./setup.py install \
    --prefix="%{_prefix}" \
    --root="%{buildroot}" \
    --record-rpm="$F"
popd

%__install -D "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" AudioVideo Recorder

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f files.lst
%defattr(-,root,root)
%doc *.txt
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Apr  2 2011 pascal.bleser@opensuse.org
- initial version (2.0.0)
